javax.xml.ws.http

## Interface HTTPBinding

- All Superinterfaces:
    Binding

      public interface HTTPBinding
      extends Binding

  The `HTTPBinding` interface is an abstraction for the XML/HTTP binding.
  Since:
    JAX-WS 2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTTP_BINDING` A constant representing the identity of the XML/HTTP binding.

  - ### Method Summary

    - ### Methods inherited from interface javax.xml.ws.Binding

      `getBindingID, getHandlerChain, setHandlerChain`

- - ### Field Detail

    - #### HTTP_BINDING

          static final String HTTP_BINDING

      A constant representing the identity of the XML/HTTP binding.
      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.